diff -pruN 1.23.1-2/debian/changelog 1.23.1-2ubuntu2/debian/changelog
--- 1.23.1-2/debian/changelog	2023-09-11 01:48:13.000000000 +0000
+++ 1.23.1-2ubuntu2/debian/changelog	2024-04-01 07:05:17.000000000 +0000
@@ -1,3 +1,27 @@
+obs-advanced-scene-switcher (1.23.1-2ubuntu2) noble; urgency=medium
+
+  * No-change rebuild for CVE-2024-3094
+
+ -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:17 +1100
+
+obs-advanced-scene-switcher (1.23.1-2ubuntu1) noble; urgency=medium
+
+  * Don't hard-code dependency on shared library.
+
+ -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 10:35:32 +0100
+
+obs-advanced-scene-switcher (1.23.1-2build2) noble; urgency=medium
+
+  * No-change rebuild against libcurl4t64
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:48:18 +0000
+
+obs-advanced-scene-switcher (1.23.1-2build1) noble; urgency=medium
+
+  * No-change rebuild against libqt5core5t64
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:05:26 +0000
+
 obs-advanced-scene-switcher (1.23.1-2) unstable; urgency=medium
 
   * Fix a FTBFS in all archs if deps/libremidi is present and empty.
diff -pruN 1.23.1-2/debian/control 1.23.1-2ubuntu2/debian/control
--- 1.23.1-2/debian/control	2023-09-11 01:20:01.000000000 +0000
+++ 1.23.1-2ubuntu2/debian/control	2024-03-24 09:35:32.000000000 +0000
@@ -1,7 +1,8 @@
 Source: obs-advanced-scene-switcher
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libasio-dev,
@@ -24,7 +25,7 @@ Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libcurl4,
+         ${lib:Depends},
          obs-advanced-scene-switcher-data (>= 1.16.3-1~),
          obs-studio (>= 26.1.2)
 Enhances: obs-studio (>= 26.1.2)
diff -pruN 1.23.1-2/debian/rules 1.23.1-2ubuntu2/debian/rules
--- 1.23.1-2/debian/rules	2023-09-11 01:48:13.000000000 +0000
+++ 1.23.1-2ubuntu2/debian/rules	2024-03-24 09:35:32.000000000 +0000
@@ -31,3 +31,8 @@ override_dh_auto_configure:
 execute_after_dh_install-arch:
 	# Check if the plugin is in right place
 	ls $(PLUGIN_DEST)/lib$(PLUGIN_NAME).so
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libcurl4-openssl-dev \
+			| sed -E 's/.*(libcurl[[:digit:]][[:alnum:].-]+).*/\1/')
